Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.management
Class CountStatisticImpl

    java.lang.Object
      org.codehaus.activemq.management.StatisticImpl
          org.codehaus.activemq.management.CountStatisticImpl

All Implemented Interfaces:
  CountStatistic, Resettable, Statistic

public class CountStatisticImpl
extends StatisticImpl
implements CountStatistic

A count statistic implementation

Version:
  $Revision: 1.3 $

Constructor Summary
`CountStatisticImpl(CountStatisticImpl parent, java.lang.String name, java.lang.String description)`
`CountStatisticImpl(java.lang.String name, java.lang.String description)`
`CountStatisticImpl(java.lang.String name, java.lang.String unit, java.lang.String description)`

Method Summary
`protected void` | `appendFieldDescription(java.lang.StringBuffer buffer)`
`void` | `decrement()`
`long` | `getCount()`
`CountStatisticImpl` | `getParent()`
`void` | `increment()`
`void` | `reset()` Reset the statistic
`void` | `setParent(CountStatisticImpl parent)`

Methods inherited from class org.codehaus.activemq.management.StatisticImpl
`getDescription, getLastSampleTime, getName, getStartTime, getUnit, toString, updateSampleTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.management.j2ee.statistics.Statistic
`getDescription, getLastSampleTime, getName, getStartTime, getUnit`

Constructor Detail

### CountStatisticImpl

    public CountStatisticImpl(CountStatisticImpl parent,
                              java.lang.String name,
                              java.lang.String description)

### CountStatisticImpl

    public CountStatisticImpl(java.lang.String name,
                              java.lang.String description)

### CountStatisticImpl

    public CountStatisticImpl(java.lang.String name,
                              java.lang.String unit,
                              java.lang.String description)

Method Detail

### reset

    public void reset()

  Description copied from interface: `Resettable`
  Reset the statistic

  Specified by:
    `reset` in interface `Resettable`
  Overrides:
    `reset` in class `StatisticImpl`

### getCount

    public long getCount()

  Specified by:
    `getCount` in interface `CountStatistic`

### increment

    public void increment()

### decrement

    public void decrement()

### getParent

    public CountStatisticImpl getParent()

### setParent

    public void setParent(CountStatisticImpl parent)

### appendFieldDescription

    protected void appendFieldDescription(java.lang.StringBuffer buffer)

  Overrides:
    `appendFieldDescription` in class `StatisticImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.